Modify

Opened 5 years ago

Closed 4 years ago

#6818 closed defect (worksforme)

Ticket Import plugin doesn't work.

Reported by: anonymous Owned by: farialima
Priority: normal Component: TicketImportPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description (last modified by otaku42)

Oops…
Trac detected an internal error:

AssertionError: HDF dataset not available. Check your clearsilver installation

If you think this should work you can reproduce the problem, you should consider reporting this to the Trac team.

Before you do that, though, please first try searching for similar issues, as it is quite likely that this problem has been reported before. For questions about installation and configuration of Trac, please try the mailing list instead of filing a ticket.

Otherwise, please ==== How to Reproduce ==== While doing a GET operation on `/importer`, Trac issued an internal error. ''(please provide additional details here)'' User Agent was: `Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8` ==== System Information ==== || '''Trac''' || `0.11.1` || || '''Python''' || `2.4.3 (#1, May 24 2008, 13:47:28) ` [[br]] `[GCC 4.1.2 20070626 (Red Hat 4.1.2-14)]` || || '''setuptools''' || `0.6c8` || || '''SQLite''' || `3.3.6` || || '''pysqlite''' || `1.1.7` || || '''Genshi''' || `0.5.1` || || '''mod_python''' || `3.2.8` || || '''Subversion''' || `1.6.2 (r37639)` || || '''jQuery:''' || `1.2.6` || ==== Python Traceback ==== {{{ Traceback (most recent call last): File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/main.py", line 423, in _dispatch_request dispatcher.dispatch(req) File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/main.py", line 206, in dispatch req.display(template, content_type or 'text/html') File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/api.py", line 297, in display assert self.hdf, 'HDF dataset not available. Check your clearsilver installation' AssertionError: HDF dataset not available. Check your clearsilver installation }}} a new ticket at the Trac project site, where you can describe the problem and explain how to reproduce it.
Python Traceback
Most recent call last:

    * File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/main.py", line 423, in _dispatch_request
      Code fragment:
       418. try:
       419. if not env and env_error:
       420. raise HTTPInternalError(env_error)
       421. try:
       422. dispatcher = RequestDispatcher(env)
       423. dispatcher.dispatch(req)
       424. except RequestDone:
       425. pass
       426. resp = req._response or []
       427.  
       428. except HTTPException, e:
      Local variables:
      Name	Value
      after 	[u' except RequestDone:', u' pass', u' resp = ...
      before 	[u' try:', u' if not env and env_error:', u' raise ...
      dispatcher 	<trac.web.main.RequestDispatcher object at 0xb7989f0c>
      e 	<exceptions.AssertionError instance at 0xb77ce44c>
      env 	<trac.env.Environment object at 0xb7d7510c>
      env_error 	None
      exc_info 	(<class exceptions.AssertionError at 0xb7ee489c>, ...
      filename 	'/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/main.py'
      frames 	[{'function': '_dispatch_request', 'lines_before': [u' try:', u' ...
      has_admin 	True
      line 	u' dispatcher.dispatch(req)'
      lineno 	422
      message 	u'AssertionError: HDF dataset not available. Check your clearsilver ...
      req 	<Request "GET u'/importer'">
      resp 	[]
      tb 	<traceback object at 0xb77d3734>
      tb_hide 	None
      traceback 	'Traceback (most recent call last):\n File ...
    * File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/main.py", line 206, in dispatch
      Code fragment:
       201. template, content_type = \
       202. self._post_process_request(req, *resp)
       203. # Give the session a chance to persist changes
       204. if req.session:
       205. req.session.save()
       206. req.display(template, content_type or 'text/html')
       207. else: # Genshi
       208. template, data, content_type = \
       209. self._post_process_request(req, *resp)
       210. if 'hdfdump' in req.args:
       211. req.perm.require('TRAC_ADMIN')
      Local variables:
      Name	Value
      chosen_handler 	<talm_importer.importer.ImportModule object at 0xb791a70c>
      chrome 	<trac.web.chrome.Chrome object at 0xb79899ac>
      content_type 	None
      err 	(<class exceptions.AssertionError at 0xb7ee489c>, ...
      handler 	<talm_importer.importer.ImportModule object at 0xb791a70c>
      req 	<Request "GET u'/importer'">
      resp 	('importer.cs', None)
      self 	<trac.web.main.RequestDispatcher object at 0xb7989f0c>
      template 	'importer.cs'
    * File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/api.py", line 297, in display
      Code fragment:
       292. def display(self, template, content_type='text/html', status=200):
       293. """Render the response using the ClearSilver template given by the
       294. `template` parameter, which can be either the name of the template file,
       295. or an already parsed `neo_cs.CS` object.
       296. """
       297. assert self.hdf, 'HDF dataset not available. Check your clearsilver installation'
       298. if self.args.has_key('hdfdump'):
       299. # FIXME: the administrator should probably be able to disable HDF
       300. # dumps
       301. self.perm.require('TRAC_ADMIN')
       302. content_type = 'text/plain'
      Local variables:
      Name	Value
      content_type 	'text/html'
      self 	<Request "GET u'/importer'">
      status 	200
      template 	'importer.cs'

File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/main.py", line 423, in _dispatch_request
  dispatcher.dispatch(req)
File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/main.py", line 206, in dispatch
  req.display(template, content_type or 'text/html')
File "/usr/lib/python2.4/site-packages/Trac-0.11.1-py2.4.egg/trac/web/api.py", line 297, in display
  assert self.hdf, 'HDF dataset not available. Check your clearsilver installation'

System Information:

User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8
Trac: 	0.11.1
Python: 	2.4.3 (#1, May 24 2008, 13:47:28) [GCC 4.1.2 20070626 (Red Hat 4.1.2-14)]
setuptools: 	0.6c8
SQLite: 	3.3.6
pysqlite: 	1.1.7
Genshi: 	0.5.1
mod_python: 	3.2.8
Subversion: 	1.6.2 (r37639)
jQuery:	1.2.6

TracGuide — The Trac User and Administration Guide

Attachments (0)

Change History (2)

comment:1 Changed 5 years ago by otaku42

  • Description modified (diff)

comment:2 Changed 4 years ago by farialima

  • Resolution set to worksforme
  • Status changed from new to closed

This is because you have installed the 0.10 version of the code. You should use the 0.11 version, when running on Trac 0.11. Where did you download the code from ? Maybe it's because one of the eggs for 0.11 in fact contains the the code for 0.10 ?

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.